> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetCurrencyRate

POST https://api.voximplant.com/platform_api/GetCurrencyRate

Gets the exchange rate on selected date (per USD).

**Example request:** Get the current currency rate: RUR/USD.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/get-currency-rate

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetCurrencyRate:
    post:
      operationId: get-currency-rate
      summary: GetCurrencyRate
      description: |-
        Gets the exchange rate on selected date (per USD).

        **Example request:** Get the current currency rate: RUR/USD.
      tags:
        - subpackage_accounts
      parameters:
        - name: currency
          in: query
          description: >-
            The currency code list separated by semicolons (;). Examples: RUR,
            KZT, EUR, USD
          required: true
          schema:
            type: array
            items:
              type: string
        - name: date
          in: query
          description: 'The date, format: YYYY-MM-DD'
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accounts_GetCurrencyRate_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    ExchangeRatesType:
      type: object
      properties:
        RUR:
          type: number
          format: double
          description: The RUR exchange rate
        KZT:
          type: number
          format: double
          description: The KZT exchange rate
        EUR:
          type: number
          format: double
          description: The EUR exchange rate
        USD:
          type: number
          format: double
          description: The USD exchange rate. It is always equal to 1
      description: The [GetCurrencyRate] function result.
      title: ExchangeRatesType
    accounts_GetCurrencyRate_Response_200:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/ExchangeRatesType'
          description: The exchange rates
      title: accounts_GetCurrencyRate_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python The RUR/USD
import requests

url = "https://api.voximplant.com/platform_api/GetCurrencyRate"

querystring = {"currency":"[\"string\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript The RUR/USD
const url = 'https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go The RUR/USD
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby The RUR/USD
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java The RUR/USD
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php The RUR/USD
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp The RUR/USD
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift The RUR/USD
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python The RUR/USD and EUR/USD
import requests

url = "https://api.voximplant.com/platform_api/GetCurrencyRate"

querystring = {"currency":"[\"string\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript The RUR/USD and EUR/USD
const url = 'https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go The RUR/USD and EUR/USD
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby The RUR/USD and EUR/USD
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java The RUR/USD and EUR/USD
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php The RUR/USD and EUR/USD
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp The RUR/USD and EUR/USD
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift The RUR/USD and EUR/USD
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCurrencyRate?currency=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```